_Efl_Ui_Scroll_Manager_Data Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Efl_Ui_Scroll_Manager_Data Struct Reference

## Data Fields
Evas_Coord | x
Evas_Coord | y
Evas_Coord | w
Evas_Coord | h
Evas_Coord | wx
Evas_Coord | wy
Evas_Coord | ww
Evas_Coord | wh
| Last "wanted" geometry.
Evas_Object * | obj
Evas_Object * | pan_obj
Evas_Object * | event_rect
Evas_Object * | parent
Efl_Ui_Scrollbar_Mode | hbar_mode
Efl_Ui_Scrollbar_Mode | vbar_mode
Ecore_Timer * | hbar_timer
Ecore_Timer * | vbar_timer
Efl_Ui_Layout_Orientation | block
struct {
Evas_Coord x
Evas_Coord y
Evas_Coord sx
Evas_Coord sy
struct {
Evas_Coord x
Evas_Coord y
double timestamp
} history [60]
double est_timestamp_diff
double onhold_vx
double onhold_vy
double onhold_vxe
double onhold_vye
double onhold_tlast
double last_time_x_wheel
double last_time_y_wheel
int hdir
int vdir
Evas_Coord hold_x
Evas_Coord hold_y
Ecore_Idle_Enterer * hold_enterer
double dragged_began_timestamp
Eina_Bool dragged: 1
Eina_Bool dragged_began: 1
Eina_Bool hold_animator: 1
Eina_Bool onhold_animator: 1
Eina_Bool last_hold_x_wheel: 1
Eina_Bool last_hold_y_wheel: 1
Eina_Bool dir_x: 1
Eina_Bool dir_y: 1
Eina_Bool scroll: 1
Eina_Bool hold: 1
Eina_Bool now: 1
Eina_Bool want_reset: 1
} | down
struct {
Evas_Coord w
Evas_Coord h
Eina_Bool resized: 1
} | content_info
struct {
Evas_Coord x
Evas_Coord y
} | step
struct {
Evas_Coord x
Evas_Coord y
} | page
struct {
struct {
Evas_Coord start
Evas_Coord end
Eina_Bool animator
Interpolator interp
double start_t
double dur
} x
struct {
Evas_Coord start
Evas_Coord end
Eina_Bool animator
Interpolator interp
double start_t
double dur
} y
} | scrollto
struct {
struct {
Evas_Coord p0
Evas_Coord p1
Evas_Coord p2
double vel
Eina_Bool animator
double start_t
double t01
double t12
} x
struct {
Evas_Coord p0
Evas_Coord p1
Evas_Coord p2
double vel
Eina_Bool animator
double start_t
double t01
double t12
} y
} | bounce
double | last_wheel_mul
unsigned int | last_wheel
void * | event_info
double | gravity_x
double | gravity_y
Evas_Coord | prev_cw
Evas_Coord | prev_ch
Eina_Bool | hbar_visible: 1
Eina_Bool | vbar_visible: 1
Eina_Bool | bounce_horiz: 1
Eina_Bool | bounce_vert: 1
Eina_Bool | is_mirrored: 1
Eina_Bool | bouncemey: 1
Eina_Bool | bouncemex: 1
Eina_Bool | freeze: 1
Eina_Bool | freeze_want: 1
Eina_Bool | match_content_w: 1
Eina_Bool | match_content_h: 1
Eina_Bool | loop_h: 1
Eina_Bool | loop_v: 1
Eina_Bool | scrolling: 1